Skip to main content
PUT
/
v4
/
accounts
/
{accountId}
/
content-profiles
/
{contentProfileId}
Update content profile
curl --request PUT \
  --url 'https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Brand Voice",
  "description": "Updated description",
  "voiceTone": "Authoritative",
  "audience": "Executives",
  "languageRules": [
    {
      "term": "cheap",
      "type": "EXCLUDE"
    }
  ]
}
'
import requests

url = "https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig="

payload = {
"name": "Updated Brand Voice",
"description": "Updated description",
"voiceTone": "Authoritative",
"audience": "Executives",
"languageRules": [
{
"term": "cheap",
"type": "EXCLUDE"
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Brand Voice',
description: 'Updated description',
voiceTone: 'Authoritative',
audience: 'Executives',
languageRules: [{term: 'cheap', type: 'EXCLUDE'}]
})
};

fetch('https://api.conductor.com/v4/accounts/{accountId}/content-profiles/{contentProfileId}?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": 123,
  "name": "<string>",
  "description": "<string>",
  "voiceTone": "<string>",
  "audience": "<string>",
  "createdBy": 123,
  "created": "2023-11-07T05:31:56Z",
  "updatedBy": 123,
  "updated": "2023-11-07T05:31:56Z",
  "draftCount": 123,
  "languageRules": [
    {
      "term": "<string>",
      "type": "EXCLUDE",
      "extraTerm": "<string>"
    }
  ]
}
{
"code": "<string>",
"message": "<string>"
}
{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}
{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}

Authorizations

apiKey
string
query
required

API Key as a query parameter

sig
string
query
required

Request signature computed using API key and secret. Valid for 5 minutes after creation.

Path Parameters

accountId
integer
required

Account identifier

contentProfileId
string<uuid>
required

Content profile identifier

Body

application/json

Fields for creating or updating a content profile.

name
string
description
string
voiceTone
string

Freeform voice-and-tone guidance applied to generation.

audience
string

Freeform target-audience description.

languageRules
object[]

Response

Updated content profile

id
string<uuid>
required
accountId
integer
required
name
string
required
description
string | null
voiceTone
string | null

Freeform voice-and-tone guidance applied to generation.

audience
string | null

Freeform target-audience description.

createdBy
integer

User ID of the creator.

created
string<date-time>
updatedBy
integer
updated
string<date-time>
draftCount
integer
languageRules
object[]